import request from '@/utils/request'
// 查询工器具列表
export function listEquip(query) {
  return request({
    url: '/project/equip/list',
    method: 'get',
    params: query
  })
}

// 新增工器具
export function addEquip(data) {
  return request({
    url: '/project/equip/addEquip',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  })
}

// 获取详情数据
export function selectDetails(param) {
  return request({
    url: '/project/equip/selectDetails',
    data: param,
    method: 'post'
  })
}

// 查询工器具列表
export function entryOfUtensilsList(query) {
  return request({
    url: '/project/equip/entryOfUtensilsList',
    method: 'get',
    params: query
  })
}

// 承包商入场资质列表查询
export function listContEntry(query) {
  return request({
    url: '/project/contEntryExit/listContEntry',
    method: 'get',
    params: query
  })
}

// 承包商开工审批列表查询
export function listCommencementApproval(query) {
  return request({
    url: '/project/contEntryExit/listCommencementApproval',
    method: 'get',
    params: query
  })
}

// 查询工器具列表
export function getEquipList(query) {
  return request({
    url: '/project/equip/getEquipList',
    method: 'get',
    params: query
  })
}

// 承包商完工审批列表查询
export function listCompleteApproval(query) {
  return request({
    url: '/project/contEntryExit/listCompleteApproval',
    method: 'get',
    params: query
  })
}
